#! /bin/bash
#
# bmcfenced     "Fence-in" port used by BMC (when LAN access is enabled)
#
# chkconfig: 2345 15 86
# description: Start/Stop process to hold open BMC's port(s)

# Source function library.
. /etc/init.d/functions

if [ ! -f /etc/sysconfig/bmcfenced ]; then
    exit 0
fi

. /etc/sysconfig/bmcfenced

if [ ! -n "${BMC_PORTS}" ]; then
    exit 0
fi

# See how we were called.
RETVAL=0
case "$1" in
  start)
	if [ -x /usr/local/sbin/bmcfenced ] ; then
	  action $"Start bmcfenced (Fix for rsh hangs): " /usr/local/sbin/bmcfenced ${BMC_PORTS} < /dev/null > /dev/null 2>&1
	  RETVAL=$?
	  if [ $RETVAL -eq 0 ]; then
            touch /var/lock/subsys/bmcfenced
          else
            killproc bmcfenced
	    failure "attempting to start bmcfenced"
          fi
        fi
        exit $RETVAL
        ;;
  stop)
	if [ -x /usr/local/sbin/bmcfenced ] ; then
	  echo -n $"Shutting down bmcfenced (Fix for rsh hangs): "
	  killproc bmcfenced
          RETVAL=$?
          if [ $RETVAL -eq 0 ] ; then
            rm -f /var/lock/subsys/bmcfenced
	  fi
        fi
	echo
	exit $RETVAL
        ;;
  status)
	status bmcfenced
	;;
  restart|reload)
	$0 stop
	$0 start
	;;
  *)
        echo $"Usage: $0 {start|stop|restart|reload|status}"
        exit 1
esac

exit $?
